Bug 463518 - [LTC 6.0 FEAT] 200789:ETR support
[LTC 6.0 FEAT] 200789:ETR support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-23 16:01 EDT by IBM Bug Proxy
Modified: 2010-08-03 05:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-22 16:51:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 16:01:28 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 17:35 EDT
1. Feature Overview:
Feature Id:	[200789]
a. Name of Feature:	ETR support
b. Feature Description
provide z/OS compatible external timer reference (ETR) sync check processing

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.21

3. Business Case
This feature enables Linux images to synchronize with a parallel Sysplex or GDPS.  In particular it
supports maintaining data consistency groups for the XRC data mover.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-02 14:47:28 EDT
RHEL 6 will include a kernel newer than 2.6.21, so this should not be an issue.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 Hans-Joachim Picht 2009-09-22 16:51:59 EDT
Code is included in the rhel6 kernel via upstream. Marked as
CLOSED/CURRENTRELEASE by  Hans-Joachim Picht <hpicht@redhat.com>
Comment 3 IBM Bug Proxy 2010-07-23 07:10:49 EDT
------- Comment From mgrf@de.ibm.com 2010-07-23 07:07 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx
Comment 4 IBM Bug Proxy 2010-08-03 05:01:55 EDT
------- Comment From mgrf@de.ibm.com 2010-08-03 04:50 EDT-------
To be complete - the following bug is reported from verification of this feature
LTC 66279 -RIT1202153 - kernel: etr clock synchronization race

Note You need to log in before you can comment on or make changes to this bug.